<form  #f="ngForm"  role="form"  (ngSubmit)="onSubmit()" [noValidate]="f.form.invalid">

  <div class="card card-primary" style="margin: -24px">
    <div class="card-header">
      <h3 class="card-title">Broadcast a Mission



      </h3>
      <button type="submit" [disabled]="f.form.invalid" class="btn btn-primary card-tools" ><i class="fas fa-plus"></i></button>
      <!--    <button type="button" class="btn btn-default card-tools" data-dismiss="modal" (click)="goToMissionList()">Close</button>-->


    </div>
    <!-- /.card-header -->
    <div class="card-body" style="margin-top: -10px" >

      <div class="row" >

        <div class="form-group col-md-12">
          <label>Title </label> <label style="margin-left: 10px"><div *ngIf="title.invalid && (title.dirty || title.touched)" >
          <h5 *ngIf="title.errors?.required" style="color: red;margin-bottom: -12px;font-size: x-small">
            Title is required.
          </h5>
          <h5 *ngIf="title.errors?.minlength" style="color: red;margin-bottom: -12px;font-size: x-small">
            Title must be at least 4 characters long.
          </h5>

        </div></label>
          <input type="text" #title="ngModel" required minlength="4"  class="form-control" id="title" [(ngModel)]="mission.title" [ngModelOptions]="{standalone: true} " placeholder="Title">

        </div>
        <!--        <div class="form-group col-md-6">-->
        <!--          <label>Description</label>-->
        <!--          <input type="text" class="form-control" id="description" [(ngModel)]="mission.description" [ngModelOptions]="{standalone: true} " placeholder="Description">-->
        <!--        </div>-->
      </div>
      <div class="row">
        <div class="form-group col-md-12">
          <label>Description</label><label style="margin-left: 10px"><div *ngIf="description.invalid && (description.dirty || description.touched)" >
          <h5 *ngIf="description.errors?.required" style="color: red;margin-bottom: -12px;font-size: x-small">
            Description is required.
          </h5>
          <h5 *ngIf="description.errors?.minlength" style="color: red;margin-bottom: -12px;font-size: x-small">
            Description must be at least 10 characters long.
          </h5>
        </div></label>
          <textarea id="description" #description="ngModel" required minlength="10" [(ngModel)]="mission.description" [ngModelOptions]="{standalone: true} " placeholder="Description" class="form-control" rows="4"></textarea>
        </div>

      </div>
      <div class="row">

        <div class="form-group col-md-12">
          <label>Address</label><label style="margin-left: 10px"><div *ngIf="address.invalid && (address.dirty || address.touched)" >
          <h5 *ngIf="address.errors?.required" style="color: red;margin-bottom: -12px;font-size: x-small">
            Address is required.
          </h5>
          <h5 *ngIf="address.errors?.minlength" style="color: red;margin-bottom: -12px;font-size: x-small">
            Address must be at least 10 characters long.
          </h5>
        </div></label>
          <input type="text" class="form-control" #address="ngModel" required minlength="10" id="Address" [(ngModel)]="mission.address" [ngModelOptions]="{standalone: true} " placeholder="Address">
        </div>
      </div>
      <div class="row">
        <div class="form-group col-md-6">
          <label>Country</label>
          <label style="margin-left: 10px"><div *ngIf="country.invalid && (country.dirty || country.touched)" >
            <h5 *ngIf="country.errors?.required" style="color: red;margin-bottom: -12px">
              *
            </h5>
            <h5 *ngIf="country.errors?.minlength" style="color: red;margin-bottom: -12px">
              Select Country.
            </h5>
            <h5 *ngIf="country.errors?.forbiddenName">
              Select Country
            </h5>

          </div></label>
          <select class="form-control" id="country" #country="ngModel" required  minlength="1" [(ngModel)]="mission.country"  [ngModelOptions]="{standalone: true}">

            <option value="" [selected]="true">Choose a country</option>
            <option *ngFor="let c of Countries">{{c.name}}</option>



          </select>
        </div>
<!--        <div class="form-group col-md-4">-->
<!--          <label>Region-->
<!--            <label style="margin-left: 4px">-->
<!--              <h5 *ngIf="noAvatorfound" style="color: red;margin-bottom: -12px;font-size: x-small" >No avatar found</h5>-->
<!--              <div *ngIf="region.invalid && (region.dirty || region.touched)" >-->

<!--                <h5 *ngIf="region.errors?.required" style="color: red;margin-bottom: -12px">-->
<!--                  *-->
<!--                </h5>-->
<!--                <h5 *ngIf="region.errors?.minlength" style="color: red;margin-bottom: -12px">-->
<!--                  Select a region.-->
<!--                </h5>-->
<!--                <h5 *ngIf="region.errors?.forbiddenName">-->
<!--                  Select a region.-->
<!--                </h5>-->

<!--              </div>-->
<!--            </label>-->
<!--            &lt;!&ndash;            <label STYLE="margin-bottom: -12px;margin-top: -7px"> <i [hidden]="!noAvatorfound" style="color: red;font-size: 0.7em;margin-top: -10px" title="No avatar found in this region" class="fas fa-exclamation-triangle"></i></label>&ndash;&gt;-->
<!--          </label>-->
<!--          <select class="form-control" id="regions" #region="ngModel" required  minlength="1" [(ngModel)]="mission.region" (ngModelChange)="onChangeRegion($event)" [ngModelOptions]="{standalone: true}">-->
<!--            <option value="" [selected]="true">Choose a region</option>-->
<!--            <option *ngFor="let c of Regions">{{c.name}}</option>-->

<!--          </select>-->
<!--        </div>-->
        <!--        <div class="form-group col-md-3">-->
        <!--          <label>Region</label>-->
        <!--          <input type="text" class="form-control" id="Region" [(ngModel)]="mission.region" [ngModelOptions]="{standalone: true} " placeholder="Region">-->
        <!--        </div>-->
        <div class="form-group col-md-6">
          <label>Date</label>
          <label style="margin-left: 10px">
            <div *ngIf="date.invalid && (date.dirty || date.touched)" >

              <h5 *ngIf="date.errors?.required" style="color: red;margin-bottom: -12px">
                Date is required
              </h5>
              <!--              <h5 *ngIf="date.errors?.minlength" style="color: red;margin-bottom: -12px">-->
              <!--                Select a region.-->
              <!--              </h5>-->
              <!--              <h5 *ngIf="date.errors?.forbiddenName">-->
              <!--                Select a region.-->
              <!--              </h5>-->

            </div>
          </label>
          <input type="datetime-local" #date="ngModel" class="form-control" required min="{{currentDate}}" id="date" [(ngModel)]="mission.date" [ngModelOptions]="{standalone: true} " >
        </div>

      </div>





    </div>






<!--<div class="card card-primary" style="margin: -24px;">-->
<!--  <div class="card-header primary">-->
<!--    <h3 class="card-title">Add New Mission-->
<!--&lt;!&ndash;      <button type="submit" class="btn btn-primary" (click)="onSubmit()" >Add</button>&ndash;&gt;-->
<!--    </h3>-->
<!--&lt;!&ndash;    <button type="button" class="btn btn-default card-tools " (click)="goToMissionList()">Close</button>&ndash;&gt;-->
<!--    <button type="submit" class="btn btn-primary card-tools" (click)="onSubmit()" ><i class="fas fa-plus"></i></button>-->

<!--  </div>-->
<!--  &lt;!&ndash; /.card-header &ndash;&gt;-->
<!--  <div style="margin: 10px">-->
<!--  <form role="form" (ngSubmit)="onSubmit()" >-->

<!--      <div class="row">-->
<!--        <div class="form-group col-md-12">-->
<!--          <label>Title</label>-->
<!--          <input type="text" class="form-control" id="title" [(ngModel)]="mission.title" [ngModelOptions]="{standalone: true} " placeholder="Title">-->
<!--        </div>-->
<!--        &lt;!&ndash;        <div class="form-group col-md-6">&ndash;&gt;-->
<!--        &lt;!&ndash;          <label>Description</label>&ndash;&gt;-->
<!--        &lt;!&ndash;          <input type="text" class="form-control" id="description" [(ngModel)]="mission.description" [ngModelOptions]="{standalone: true} " placeholder="Description">&ndash;&gt;-->
<!--        &lt;!&ndash;        </div>&ndash;&gt;-->
<!--      </div>-->
<!--      <div class="row">-->
<!--        <div class="form-group col-md-12">-->
<!--          <label>Description</label>-->
<!--          <textarea id="description" [(ngModel)]="mission.description" [ngModelOptions]="{standalone: true} " placeholder="Description" class="form-control" rows="4"></textarea>-->
<!--        </div>-->

<!--      </div>-->
<!--      <div class="row">-->
<!--        &lt;!&ndash;        <div class="form-group col-md-6">&ndash;&gt;-->
<!--        &lt;!&ndash;          <label>Price</label>&ndash;&gt;-->
<!--        &lt;!&ndash;          <input type="number" class="form-control" id="price" [(ngModel)]="mission.price" [ngModelOptions]="{standalone: true} " placeholder="Price">&ndash;&gt;-->
<!--        &lt;!&ndash;        </div>&ndash;&gt;-->
<!--        <div class="form-group col-md-12">-->
<!--          <label>Address</label>-->
<!--          <input type="text" class="form-control" id="Address" [(ngModel)]="mission.address" [ngModelOptions]="{standalone: true} " placeholder="Address">-->
<!--        </div>-->
<!--      </div>-->
<!--      <div class="row">-->
<!--        <div class="form-group col-md-6">-->
<!--          <label>Region</label>-->
<!--          <input type="text" class="form-control" id="Region" [(ngModel)]="mission.region" [ngModelOptions]="{standalone: true} " placeholder="Region">-->
<!--        </div>-->
<!--        <div class="form-group col-md-6">-->
<!--          <label>Date</label>-->
<!--          <input type="datetime-local" class="form-control" id="date" [(ngModel)]="mission.date" [ngModelOptions]="{standalone: true} " >-->
<!--        </div>-->

<!--      </div>-->



<!--    &lt;!&ndash; /.card-body &ndash;&gt;-->


<!--  </form>-->
<!--  </div>-->
<!--&lt;!&ndash;  <div class="card-footer">&ndash;&gt;-->
<!--&lt;!&ndash;    <button type="submit" class="btn btn-primary" (click)="onSubmit()" >Add</button>&ndash;&gt;-->
<!--&lt;!&ndash;    <button type="button" class="btn btn-default" data-dismiss="modal" (click)="goToMissionList()">Close</button>&ndash;&gt;-->
<!--&lt;!&ndash;  </div>&ndash;&gt;-->
<!--  &lt;!&ndash; /.card (click)="goToMissionList()"-->
<!--  (ngSubmit)="onSubmit()"&ndash;&gt;-->

<!--</div>-->

